/*
 * Copyright 2010-2016 Amazon.com, Inc. or its affiliates. All Rights
 * Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.amazonaws.services.simplesystemsmanagement.model;

import com.amazonaws.AmazonServiceException;

/**
 * <p>
 * The document cannot be shared with more AWS user accounts. You can share a
 * document with a maximum of 20 accounts. You can publicly share up to five
 * documents. If you need to increase this limit, contact AWS Support.
 * </p>
 */
public class DocumentPermissionLimitException extends AmazonServiceException {
    private static final long serialVersionUID = 1L;

    /**
     * Constructs a new DocumentPermissionLimitException with the specified
     * error message.
     *
     * @param message
     *        Describes the error encountered.
     */
    public DocumentPermissionLimitException(String message) {
        super(message);
    }

}